Name: H5Dopen
Signature:
  hid_t `H5Dopen`(hid_t `loc_id`, const char *`name` )
Purpose:
  Opens an existing dataset.
Description:
  `H5Dopen` opens an existing dataset for access in the file or group specified in `loc_id`. `name` is a dataset name and is used to identify the dataset in the file.
Parameters:

hid_t `loc_id` | IN: Identifier of the file or group within which the dataset to be accessed will be found.
const char * `name` | IN: The name of the dataset to access.

Returns:
  Returns a dataset identifier if successful; otherwise returns a negative value.
Fortran90 Interface: h5dopen_f

      SUBROUTINE h5dopen_f(loc_id, name, dset_id, hdferr)
        IMPLICIT NONE
        INTEGER(HID_T), INTENT(IN) :: loc_id   ! File or group identifier
        CHARACTER(LEN=*), INTENT(IN) :: name   ! Name of the dataset
        INTEGER(HID_T), INTENT(OUT) :: dset_id ! Dataset identifier
        INTEGER, INTENT(OUT) :: hdferr         ! Error code
                                               ! 0 on success and -1 on failure
      END SUBROUTINE h5dopen_f